unit Test1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Gauges, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Gauge1: TGauge;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    procedure Button1Click(Sender: TObject);
    Procedure CopyFile1Progress(Progress: Byte);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Uses jbCFile;

procedure TForm1.CopyFile1Progress(Progress: Byte);
begin
  Gauge1.Progress := Progress
end;

procedure TForm1.Button1Click(Sender: TObject);
var TC:TCopyFile;
begin
  If Not ((Edit1.Text<>'') And (Edit2.Text<>'')) Then Exit;
  TC := TCopyFile.Create(Self);
  Try
    TC.Source:={'c:\winzip.log'} Edit1.Text;
    TC.Destination:={'a:\KOA\HAO\SOA\MOA\TIO\TIOUE.OOO'}Edit2.Text;
    TC.CopyOrMove := swCCopy;
    TC.OverOrAppend := swCOver;
    TC.ProgressOrSilent := swCProgress;
    TC.OnProgress:=CopyFile1Progress;
    If Not TC.CopyFile Then MessageDlg('Copy error',mtWarning,[mbOK],0);
  Finally
    TC.Free
  End;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Close
end;

end.
